package ee.websockety;

import jakarta.enterprise.context.ApplicationScoped;
import jakarta.inject.Named;

import java.util.Random;

@Named
@ApplicationScoped
public class Guess
{
    private int guessedNumber;
    Random rnd;
    private boolean isOpen;

    public final static int MAX_NUMBER = 10000;

    public Guess()
    {
        rnd = new Random();
        guessedNumber = rnd.nextInt(MAX_NUMBER) + 1;
        isOpen = true;
    }

    public int getGuessedNumber()
    {
        return guessedNumber;
    }

    public void regenerateNumber()
    {
        guessedNumber = rnd.nextInt(MAX_NUMBER) + 1;
        isOpen = true;
    }

    public synchronized boolean close()
    {
        boolean wasOpen = isOpen;
        isOpen = false;
        return wasOpen;
    }

}