package ee.websockety;


import jakarta.enterprise.context.SessionScoped;
import jakarta.inject.Inject;
import jakarta.inject.Named;

import java.io.Serializable;

@Named
@SessionScoped
public class UserGuess implements Serializable
{
    private int score;
    private String username;
    private int newguess;
    private String message;

    @Inject
    Guess guess;

    public void setGuessBean(Guess guessBean)
    {
        guess = guessBean;
    }

    public UserGuess()
    {
        newguess = -1;
        score = 0;
    }

    public void setUsername(String name)
    {
        username = name;
    }

    public String getUsername()
    {
        return username;
    }

    public void setNewguess(String guess)
    {
        try {
            newguess = Integer.parseInt(guess.trim());
        } catch (Exception e) {}
    }

    public String getNewguess()
    {
        return "";
    }

    public void setMessage(String msg)
    {
        message = msg;
    }

    public String getMessage()
    {
        if (newguess < 0) return "Make a guess!";
        if (newguess < guess.getGuessedNumber())
            return newguess + " is too little";
        else if (newguess > guess.getGuessedNumber())
            return newguess + " is too much";
        else
        {
            if (guess.close())
                score++;
            return "Congratulations, the secret number was " + newguess;
        }
    }

    public void restart()
    {
        guess.regenerateNumber();
        newguess = -1;
    }

    public String getScore()
    {
        return Integer.toString(score);
    }

}